| Home | Libraries | People | FAQ | More

# boost::asio::const_buffer_container_1 Class Reference

Inherits boost::asio::const_buffer.

Inheritance diagram for boost::asio::const_buffer_container_1:

List of all members.

## Detailed Description

Adapts a single non-modifiable buffer so that it meets the requirements of the Const_Buffers concept.

## Public Types

typedef const_buffer | value_type
| The type for each element in the list of buffers.
typedef const const_buffer * | const_iterator
| A random-access iterator type that may be used to read elements.

## Public Member Functions

| const_buffer_container_1 (const const_buffer &b)
| Construct to represent a single non-modifiable buffer.
const_iterator | begin () const
| Get a random-access iterator to the first element.
const_iterator | end () const
| Get a random-access iterator for one past the last element.

## Related Functions

(Note that these are not member functions.)
template<typename Pointer_To_Pod_Type>
Pointer_To_Pod_Type | buffer_cast (const const_buffer &b)
| Cast a non-modifiable buffer to a specified pointer to POD type.
std::size_t | buffer_size (const const_buffer &b)
| Get the number of bytes in a non-modifiable buffer.
const_buffer | operator+ (const const_buffer &b, std::size_t start)
| Create a new non-modifiable buffer that is offset from the start of another.
const_buffer | operator+ (std::size_t start, const const_buffer &b)
| Create a new non-modifiable buffer that is offset from the start of another.

## Member Typedef Documentation

typedef const_buffer boost::asio::const_buffer_container_1::value_type

The type for each element in the list of buffers.

typedef const const_buffer* boost::asio::const_buffer_container_1::const_iterator

A random-access iterator type that may be used to read elements.

## Constructor & Destructor Documentation

boost::asio::const_buffer_container_1::const_buffer_container_1 | ( | const const_buffer & | b | ) | `[explicit]`

Construct to represent a single non-modifiable buffer.

## Member Function Documentation

const_iterator boost::asio::const_buffer_container_1::begin | ( |  | ) | const

Get a random-access iterator to the first element.

const_iterator boost::asio::const_buffer_container_1::end | ( |  | ) | const

Get a random-access iterator for one past the last element.

## Friends And Related Function Documentation

template<typename Pointer_To_Pod_Type>

Pointer_To_Pod_Type buffer_cast | ( | const const_buffer & | b | ) | `[related, inherited]`

Cast a non-modifiable buffer to a specified pointer to POD type.

std::size_t buffer_size | ( | const const_buffer & | b | ) | `[related, inherited]`

Get the number of bytes in a non-modifiable buffer.

const_buffer operator+ | ( | const const_buffer & | b,
|  | std::size_t | start |
| ) |  |  | `[related, inherited]`

Create a new non-modifiable buffer that is offset from the start of another.

const_buffer operator+ | ( | std::size_t | start,
|  | const const_buffer & | b |
| ) |  |  | `[related, inherited]`

Create a new non-modifiable buffer that is offset from the start of another.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff